input:-webkit-autofill {
  -webkit-box-shadow: 0 0 0 30px white inset;
  -webkit-text-fill-color: $color-gray-medium !important;
}

.app_form {
  flex-basis: 100%;

  .app_form_separator {
    font-size: $font-size-large;
    border-bottom: 1px solid $color-gray;
    color: $color-gray;
    margin-bottom: 20px;
  }

  .label {
    display: block;
    width: 100%;
    margin-bottom: 20px;
  }

  .label_g5 {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;

    div {
      flex-basis: calc(20% - 10px);
      margin-right: 10px;

      span {
        font-size: $font-size-small;
      }
    }
  }

  .legend {
    display: block;
    margin-bottom: 10px;
    font-size: $font-size-small;
    font-weight: $font-weight-strong;
    color: $color-gray;
  }

  .label_gc {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-content: center;
    align-items: center;
    padding: 20px;
    background-color: $color-orange;
    color: $color-white;
    font-size: $font-size-normal;
    margin-bottom: 20px;
    -webkit-border-radius: $radius-normal;
    -moz-border-radius: $radius-normal;
    border-radius: $radius-normal;

    span {
      margin-right: 20px;
      margin-bottom: 0px !important;
      color: $color-white;
    }

    label {
      flex-basis: 100px;
      margin-right: 20px;
      margin-bottom: 0px !important;
      display: inline-flex;
    }
  }

  .label_permissions {
    flex-basis: 100%;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    -webkit-border-radius: $radius-normal;
    -moz-border-radius: $radius-normal;
    border-radius: $radius-normal;
    border: 1px solid $dash-background;
    margin-bottom: 20px;

    .label_permissions_caption {
      flex-basis: 100%;
      padding: 10px;
      background-color: $dash-background;
      display: flex;
      align-items: center;
      justify-content: center;
      color: $color-gray-medium;
    }

    .label_permissions_items {
      flex-basis: 100%;
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: center;
      font-size: $font-size-small;
      padding-top: 10px;

      .label {
        flex-basis: 100% !important;
      }
    }
  }

  input, input[type="date"], select, textarea, .select2 {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: $font-size-small;
    -webkit-border-radius: $radius-normal;
    -moz-border-radius: $radius-normal;
    border-radius: $radius-normal;
    display: block;
    width: 100% !important;
    color: #000000;
    padding: 10px;
    background: #ffffff;
    border: 1px solid #cccccc;
    resize: none;
    outline: none;

    &:disabled {
      cursor: not-allowed;
      background-color: $dash-background;
    }
  }

  select {
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("../images/selectarrow.png");
    background-position: right 15px center;
    background-repeat: no-repeat;
    background-size: auto 20%;
    width: 100%;

    &:disabled {
      cursor: not-allowed;
      background-color: $dash-background;
    }
  }

  .select2 {
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url("../images/selectarrow.png");
    background-position: right 15px center;
    background-repeat: no-repeat;
    background-size: auto 20%;
    width: auto !important;

    &:disabled {
      cursor: not-allowed;
      background-color: $dash-background;
    }
  }

  //input[type="date"] {
  //  -webkit-appearance: none;
  //  font-size: $font-size-small;
  //  font-family: $font-family, serif !important;
  //  padding: 7px 10px !important;
  //  font-weight: $font-size-small;
  //  color: $color-gray-medium !important;
  //}

  input[type="checkbox"] {
    visibility: hidden !important;
    margin: 0 !important;
    width: 0 !important;
    display: inline-block;

    & + label:before, & + span:before {
      visibility: visible;
      font-family: "upadmin" !important;
      position: relative;
      top: 4px;
      padding-right: 8px;
      content: "\e17a" !important;
      font-size: 1.1em;
    }

    & + label:hover, & + span:hover {
      cursor: pointer;
    }

    & + label:hover:before, & + span:before {
      content: "\e17a";
      opacity: 0.2;
    }

    &:checked + label:before, &:checked + span:before {
      content: "\e015" !important;
    }

    &:checked + label:hover:before, &:checked + span:hover:before, &:checked + label:before, &:checked + span:before {
      filter: alpha(opacity=100);
      opacity: 1;
    }
  }

  
  input[type="radio"] {
    visibility: hidden !important;
    margin: 0 !important;
    width: 0 !important;
    display: inline-block;

    & + label:before, & + span:before {
      visibility: visible;
      font-family: "upadmin" !important;
      position: relative;
      top: 4px;
      padding-right: 8px;
      content: "\e022" !important;
      font-size: 1.1em;
    }

    & + label:hover, & + span:hover {
      cursor: pointer;
    }

    & + label:hover:before, & + span:before {
      content: "\e022";
      opacity: 0.2;
    }

    &:checked + label:before, &:checked + span:before {
      content: "\e021" !important;
    }

    &:checked + label:hover:before, &:checked + span:hover:before, &:checked + label:before, &:checked + span:before {
      filter: alpha(opacity=100);
      opacity: 1;
    }
  }

  //input[type=checkbox], input[type=radio] {
  //  visibility: hidden !important;
  //  margin: 0 !important;
  //  width: 0 !important;
  //}
  //
  //input[type=checkbox] + label:before,
  //input[type=checkbox] + span:before,
  //input[type=radio] + label:before {
  //  visibility: visible;
  //  font-family: "upadmin" !important;
  //  position: relative;
  //  top: 5px;
  //  padding-right: 8px;
  //}
  //
  //input[type=checkbox] + label:hover,
  //input[type=checkbox] + span:hover,
  //input[type=radio] + label:hover {
  //  cursor: pointer;
  //}
  //
  //input[type=checkbox] + label:before,
  //input[type=checkbox] + span:before {
  //  content: "\e17a" !important;
  //  font-size: $font-size-medium;
  //}
  //input[type=checkbox] + label:hover:before,
  //input[type=checkbox] + span:before {
  //  content: "\e17a";
  //  opacity: 0.2;
  //}
  //input[type=checkbox]:checked + label:before,
  //input[type=checkbox]:checked + span:before {
  //  content: "\e015" !important;
  //}
  //input[type=checkbox]:checked + label:hover:before,
  //input[type=checkbox]:checked + span:hover:before,
  //input[type=checkbox]:checked + label:before,
  //input[type=checkbox]:checked + span:before {
  //  filter: alpha(opacity=100); opacity: 1;
  //}
  //
  //input[type=radio] + label:before {
  //  content: '\f10c'!important;
  //}
  //input[type=radio] + label:hover:before {
  //  content: '\f192'!important;
  //  filter: alpha(opacity=20);
  //  opacity: 0.2;
  //}
  //input[type=radio]:checked + label:before {
  //  content: '\f192'!important;
  //}
  //input[type=radio]:checked + label:hover:before {
  //  filter: alpha(opacity=100); opacity: 1;
  //}
}

/*SEARCH FORM*/
.app_search_form {
  display: flex;

  input {
    font-size: $font-size-min;
    border: 1px solid #cccccc;
    border-right: 0;
    padding: 5px 10px;

    -webkit-border-radius: 4px 0 0 4px;
    -moz-border-radius: 4px 0 0 4px;
    border-radius: 4px 0 0 4px;
    outline: none;
  }

  button {
    font-size: $font-size-small;
    padding: 5px 10px;
    border: none;
    border-left: 0;
    color: #FFFFFF;
    cursor: pointer;
    -webkit-border-radius: 0 4px 4px 0;
    -moz-border-radius: 0 4px 4px 0;
    border-radius: 0 4px 4px 0;
    transition-duration: 0.2s;
    background-color: $color-green;

    &:hover {
      @if $button-hover-type == "darken" {
        background-color: darken($color-green, $button-hover-amount);
      } @else {
        background-color: lighten($color-green, $button-hover-amount);
      }
    }
  }
}

@media (max-width: $dash-rwd-breakpoint-2) {
  .label_g5 div {
    flex-basis: calc(25% - 10px) !important;
  }
}

@media (max-width: $dash-rwd-breakpoint-3) {
  .app_form .label_g4 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    .label {
      flex-basis: calc(50% - 10px);
    }
  }

  .label_g5 div {
    flex-basis: calc(33% - 10px) !important;
  }
}

@media (min-width: $dash-rwd-breakpoint-4) {
  .app_form .label_g2 {
    display: flex;

    .label {
      flex-basis: calc(50% - 10px);

      &:first-child {
        margin-right: 20px;
      }
    }
  }

  .app_form .label_g4 {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;

    .label {
      flex-basis: calc(25% - 10px);
    }
  }
}

@media (max-width: $dash-rwd-breakpoint-4) {
  .label_g5 div {
    flex-basis: 100% !important;
  }
}

@media (max-width: $dash-rwd-breakpoint-5) {
  .app_form button {
    display: block;
    width: 100%;
  }

  .app_form_collapse_header {
    font-size: $font-size-normal !important;
  }

  .label_gc {
    label {
      flex-basis: 100% !important;
      margin-top: 4px;
    }
  }

  .app_form .label_g4 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    .label {
      flex-basis: 100%;
    }
  }
}